%ifnarch arm
%define disable_all_vads 0
%endif

Name:          virtuoso-opensource
Version:       7.2.11
Release:       1mamba
Summary:       A high-performance object-relational SQL database
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://vos.openlinksw.com/owiki/wiki/VOS/
Source:        https://github.com/openlink/virtuoso-opensource.git/v%{version}/virtuoso-opensource-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libexpat-devel
BuildRequires: liblzma-devel
BuildRequires: libnsl-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libreadline-devel
BuildRequires: libwbxml2-devel
BuildRequires: libz-devel
BuildRequires: mono-devel
## AUTOBUILDREQ-END

%description
At core, Virtuoso is a high-performance object-relational SQL database.
As a database, it provides transactions, a smart SQL compiler, powerful stored-procedure language with optional Java and .Net server-side hosting, hot backup, SQL-99 support and more.
It has all major data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.

%package apps
Summary:       Virtuoso open source database applications
Group:         Applications/Databases
Requires:      %{name} = %{version}-%{release}

%description apps
At core, Virtuoso is a high-performance object-relational SQL database.
As a database, it provides transactions, a smart SQL compiler, powerful stored-procedure language with optional Java and .Net server-side hosting, hot backup, SQL-99 support and more.
It has all major data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
This package contains applications to be used with Virtuoso.

%package utils
Summary:       Virtuoso open source database utilities
Group:         Applications/Databases
Requires:      %{name} = %{version}-%{release}

%description utils
At core, Virtuoso is a high-performance object-relational SQL database.
As a database, it provides transactions, a smart SQL compiler, powerful stored-procedure language with optional Java and .Net server-side hosting, hot backup, SQL-99 support and more.
It has all major data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
This package contains utilities for use with Virtuoso.

%package java
Summary:       Virtuoso bindings to JAVA and ODBC
Group:         System/Libraries/Java
Requires:      %{name} = %{version}-%{release}

%description java
At core, Virtuoso is a high-performance object-relational SQL database.
As a database, it provides transactions, a smart SQL compiler, powerful stored-procedure language with optional Java and .Net server-side hosting, hot backup, SQL-99 support and more.
It has all major data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
This package contains Virtuoso bindings to JAVA and ODBC.

%package mono
Summary:       Virtuoso bindings to Mono
Group:         System/Libraries/Java
Requires:      %{name} = %{version}-%{release}

%description mono
At core, Virtuoso is a high-performance object-relational SQL database.
As a database, it provides transactions, a smart SQL compiler, powerful stored-procedure language with optional Java and .Net server-side hosting, hot backup, SQL-99 support and more.
It has all major data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
This package contains Virtuoso bindings to Mono.

# FIXME
# checking for hslookup... notfound
# configure: WARNING: The hslookup plugin will not be build

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
./autogen.sh

%build
#:<< _EOF
%configure \
   --with-layout=redhat \
   --with-readline \
   --with-pthreads \
   --enable-shared \
   --disable-static \
   --without-internal-zlib \
   --enable-openssl \
   --enable-xml \
   --disable-geos \
%if "%{?disable-all-vads}" == "1"
   --disable-all-vads \
%endif

#CFLAGS="-I%{_includedir}/openssl-1.0" \
#   LDFLAGS="-L%{_libdir}/openssl-1.0"
   
#   LIBS="-lncurses -ltirpc"

%make -j1 PORT=34567

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# generic'ish binaries, hide them away safely
install -d %{buildroot}%{_libexecdir}/virtuoso
mv %{buildroot}%{_bindir}/{inifile,isql,isqlw} \
   %{buildroot}%{_libexecdir}/virtuoso/

install -d %{buildroot}%{_sysconfdir}/virtuoso
mv %{buildroot}%{_var}/lib/virtuoso/db/virtuoso.ini \
   %{buildroot}%{_sysconfdir}/virtuoso/
ln -s ../../../..%{_sysconfdir}/virtuoso/virtuoso.ini \
   %{buildroot}%{_var}/lib/virtuoso/db/virtuoso.ini

# remove unpackaged files
rm -vf %{buildroot}%{_libdir}/*.{la,a}
rm -vf %{buildroot}%{_libdir}/virtuoso/hosting/*.la
#rm -vf %{buildroot}%{_libdir}/{jdbc-?.?,jena,sesame}/*.jar

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/virtuoso/virtuoso.ini
%{_bindir}/virtuoso-t
%{_libdir}/virt*.so
%dir %{_libdir}/virtuoso/
%dir %{_var}/lib/virtuoso
%{_var}/lib/virtuoso/db/
%{_var}/lib/virtuoso/vsp/
%doc AUTHORS COPYING LICENSE

%if "%{?disable-all-vads}" != "1"
%files apps
%defattr(-,root,root)
%{_libdir}/virtuoso/hosting/
%dir %{_datadir}/virtuoso/
%dir %{_datadir}/virtuoso/vad/
%{_datadir}/virtuoso/vad/*.vad
%endif

%files utils
%defattr(-,root,root)
%{_bindir}/virt_mail
%dir %{_libexecdir}/virtuoso/
%{_libexecdir}/virtuoso/*
%{_docdir}/virtuoso/*

%files mono
%defattr(-,root,root)
%dir %{_libdir}/virtuoso/cli
%{_libdir}/virtuoso/cli/OpenLink.Data.Virtuoso.dll

%files java
%defattr(-,root,root)
%{_libdir}/hibernate/*.jar
%{_libdir}/jdbc-?.?
%dir %{_libdir}/jena
%{_libdir}/jena/*.jar
%dir %{_libdir}/jena2
%{_libdir}/jena2/virt_jena2.jar
%{_libdir}/sesame/create-virtuoso.xsl
%{_libdir}/sesame/create.xsl
%{_libdir}/sesame/*.jar
%{_libdir}/jena3/virt_jena3.jar
%{_libdir}/jena4/virt_jena4.jar
%{_libdir}/rdf4j/*.xsl
%{_libdir}/rdf4j/virt_rdf4j.jar
%{_libdir}/rdf4j_4/virt_rdf4j_4.jar
%{_libdir}/rdf4j_4/*.xsl

%changelog
* Mon Oct 02 2023 Automatic Build System <autodist@mambasoft.it> 7.2.11-1mamba
- automatic version update by autodist

* Sun Sep 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 7.2.10-1mamba
- update to 7.2.10

* Thu Mar 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.8-1mamba
- update to 6.1.8

* Sat Aug 04 2012 Davide Madrisan <davide.madrisan@gmail.com> 6.1.6-1mamba
- update to 6.1.6

* Mon Mar 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.4-2mamba
- added workaround for correctly linking to libreadline (since binutils gold?)

* Thu Dec 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.4-1mamba
- update to 6.1.4

* Sat Apr 02 2011 Automatic Build System <autodist@mambasoft.it> 6.1.3-1mamba
- automatic update by autodist

* Sun Jul 11 2010 Automatic Build System <autodist@mambasoft.it> 6.1.2-1mamba
- automatic update by autodist

* Tue May 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.1-1mamba
- update to 6.1.1

* Tue May 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.14-1mamba
- update to 5.0.14

* Sat Jan 30 2010 Davide Madrisan <davide.madrisan@gmail.com> 5.0.12-1mamba
- package created by autospec
